Bug 444543 - [patch] VIA vt6410 IDE controller not activating
[patch] VIA vt6410 IDE controller not activating
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Martuccelli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 19:19 EDT by Gus Wirth
Modified: 2011-06-24 07:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-24 07:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg and lspci -vvxxx (9.63 KB, application/x-gzip)
2008-04-28 19:19 EDT, Gus Wirth
no flags Details
output of dmesg (plain text) (21.36 KB, text/plain)
2008-04-28 21:11 EDT, Gus Wirth
no flags Details
output of lspci -vvxxx (plain text) (13.89 KB, text/plain)
2008-04-28 21:12 EDT, Gus Wirth
no flags Details
Fix for 0x40 register check during probe (579 bytes, patch)
2008-04-29 05:26 EDT, Alan Cox
no flags Details | Diff
dmesg after patch (21.57 KB, text/plain)
2008-04-29 12:58 EDT, Gus Wirth
no flags Details

  None (edit)
Description Gus Wirth 2008-04-28 19:19:47 EDT
Description:

I have an add-in PCI card for my PC that contains a VIA vt6410 IDE controller
chip which is  used to provide two additional IDE headers to allow connection of
up to four IDE devices. The controller is not activating with Fedora 8 (32-bit)
and kernel 2.6.24.4-64. The system is fully updated.

According to my research, support for the vt6410 was introduced in the 2.6.15
kernel <http://kernelnewbies.org/Linux_2_6_15> but it seems that the driver
required a via82cxxx chipset to be present. This is not appropriate because the
vt6410 can be obtained as a separate plug-in card and used with any chipset. My
testing results seem to show that support broke hard with kernel 2.6.21 and the
changeover in libata.

Current system is an ECS 755-A2 motherboard with an SiS 755 chipset and Sempron
processor. There is an IDE drive configured as master on channel 1 of the card
(known good, tested on another system). I installed viaideinfo using yum and get
the following results when I run it:

[gus@falcon ~]$ sudo viaideinfo
Password:
----------VIA BusMastering IDE Configuration----------------
viaideinfo Version:                 0.5
South Bridge:                       VIA vt6410 Rev 0x6 (PCI 00:0a.0)
IDE Controller:                     Rev 0x6 (PCI 00:0a.0)
Highest DMA rate:                   UDMA133
BM-DMA base:                        0xe800
PCI clock:                          33.3MHz
Master Read  Cycle IRDY:            0ws
Master Write Cycle IRDY:            0ws
BM IDE Status Register Read Retry:  yes
Max DRDY Pulse Width:               No limit
-----------------------Primary IDE-------Secondary IDE------
Read DMA FIFO flush:          yes                 yes
End Sector FIFO flush:         no                  no
Prefetch Buffer:              yes                 yes
Post Write Buffer:            yes                 yes
Enabled:                       no                  no
Simplex only:                 yes                 yes
Cable Type:                   80w                 80w
-------------------drive0----drive1----drive2----drive3-----
Transfer Mode:        DMA       DMA       DMA       DMA
Address Setup:      120ns     120ns     120ns     120ns
Cmd Active:         360ns     360ns     360ns     360ns
Cmd Recovery:       210ns     210ns     210ns     210ns
Data Active:        330ns     330ns     330ns     330ns
Data Recovery:      270ns     270ns     270ns     270ns
Cycle Time:         600ns     600ns     600ns     600ns
Transfer Rate:    3.3MB/s   3.3MB/s   3.3MB/s   3.3MB/s

The vt6410 card is detected properly at bootup by the BIOS and also appears in
the output of lspci.

Output of lspci and dmesg is attached in compressed tarball

I have the ability to patch and compile kernels. I also have a spare card that I
could mail to someone for direct testing.
Comment 1 Gus Wirth 2008-04-28 19:19:47 EDT
Created attachment 304054 [details]
output of dmesg and lspci -vvxxx
Comment 2 Chuck Ebbert 2008-04-28 20:17:50 EDT
(In reply to comment #0)
> 
> Output of lspci and dmesg is attached in compressed tarball
> 

Don't upload tarballs -- you cause every single person who wants to view the
contents to take several extra steps.
Comment 3 Gus Wirth 2008-04-28 21:11:28 EDT
Created attachment 304059 [details]
output of dmesg (plain text)
Comment 4 Gus Wirth 2008-04-28 21:12:23 EDT
Created attachment 304060 [details]
output of lspci -vvxxx (plain text)
Comment 5 Alan Cox 2008-04-29 05:26:03 EDT
Created attachment 304086 [details]
Fix for 0x40 register check during probe

Proposed fix. We should not check the enable bits of 0x40 on the standalone
devices as they mean something entirely different.
Comment 6 Gus Wirth 2008-04-29 12:57:47 EDT
The patch made some progress but the card still doesn't activate the drive
attached to what is now ata5. The full dmesg is attached, this is the relevant
snippet:

pata_via 0000:00:0a.0: version 0.3.3
ACPI: PCI Interrupt 0000:00:0a.0[A] -> GSI 18 (level, low) -> IRQ 23
scsi5 : pata_via
scsi6 : pata_via
ata5: PATA max UDMA/133 cmd 0xe800 ctl 0xe900 bmdma 0xec00 irq 23
ata6: PATA max UDMA/133 cmd 0xea00 ctl 0xeb00 bmdma 0xec08 irq 23
Comment 7 Gus Wirth 2008-04-29 12:58:57 EDT
Created attachment 304142 [details]
dmesg after patch
Comment 8 Gus Wirth 2008-04-30 23:50:44 EDT
It was noted that I had some proprietary models loaded that tainted the kernel.
These have been removed but the results haven't changed.
Comment 9 Alan Cox 2008-07-28 16:53:05 EDT
Not been able to dup this - in part because I can't find suitable PCI cards. Do
you have a brand name for your board ?
Comment 10 Gus Wirth 2008-07-28 17:50:25 EDT
The box doesn't have a brand name or manufacturer specified. I bought my cards here:

http://www.microtron2000.com/IDE_ADAPTERS-VIA_VT6410_UDMA_133_IDE_RAID_Controller_PCI_Card.html

I have a spare card that I would be happy to send to you if you provide me with
a mailing address.
Comment 11 Alan Cox 2008-07-31 11:10:23 EDT
Progress of a sort. With VIA finally deciding to play nice I've been able to
obtain the required chip manual. I'll go and compare the code and the manual
further and hopefully this can now produce results
Comment 12 Bug Zapper 2008-11-26 05:35:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Gus Wirth 2009-04-23 14:30:15 EDT
This bug is still present in Fedora 11 beta, kernel 2.6.29.1-102
Comment 15 Bug Zapper 2009-06-09 05:33:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-04-27 08:01:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Gus Wirth 2010-05-22 17:06:49 EDT
I tested this in Fedora 13, KDE Live spin and it's now even worse. The card doesn't even show up with lspci. I verified that the card still works by using an older distribution on the same hardware.
Comment 18 Bug Zapper 2011-06-02 14:32:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Gus Wirth 2011-06-09 15:23:51 EDT
This is definitely fixed in Fedora 15. I haven't tested it with previous versions yet, but I remember reading a commit somewhere in kernel 2.6.33 that probably fixed this.

I recommend closing it as fixed.

Note You need to log in before you can comment on or make changes to this bug.